Subject: Re: bug#50774: guix-install.sh outputs invalid utf-8 characters

From: "Dhruvin Gandhi" <[email-masked]>
Date: Fri, 24 Sep 2021 12:21:10 +0000

September 24, 2021 10:01 AM, "Maxime Devos" <[email-masked]> wrote:

> Dhruvin Gandhi via Bug reports for GNU Guix schreef op vr 24-09-2021 om 09:21 [+0000]:
> 
>> I've recently submitted a patch to builds.sr.ht to support guix build
>> image. While installing guix binary on foreign distro via
>> guix-install.sh, it appears that the installer outputs invalid utf-8
>> characters[1].
>> 
>> References:
>> 
>> [1] https://lists.sr.ht/~sircmpwn/sr.ht-dev/patches/25167#<CEH30J59XCDH.3NMOSL8GGLIRF@taiga>
> 
> Where is the invalid UTF-8? Perhaps the ? in
> 
> (guix-install log)
> ...
> gpg: key 090B11993D9AEBB5: public key "Ludovic Court?s <[email-masked]>" imported
> ...
> 
> ?
> 
> Greetings,
> Maxime.

Hello Maxime,

I ran a build job on builds.sr.ht [1]. Build logs can be found
in artifacts section of the build job [1], i.e. here [2]. I ran
grep -axv '.*' <log.txt> to see which lines are offending and I
only found the one you mentioned above.

References:
[1] https://builds.sr.ht/~dhruvin/job/594887
[2] https://patchouli.sr.ht/builds.sr.ht/artifacts/~dhruvin/594887/ccefd04d43546cb7/log.txt